Skip to main content
GET
/
api
/
v1
/
options
/
strikes
Options by Strike
curl --request GET \
  --url https://api.example.com/api/v1/options/strikes
Returns the open interest and volume breakdown by strike price for the nearest options expiry. Shows where institutional money is positioned and which price levels are magnets.

Parameters

ParameterTypeDefaultDescription
currencystringBTCCurrency: BTC or ETH

Example Request

curl -X GET "https://krovn.io/api/v1/options/strikes?currency=BTC" \
  -H "X-API-Key: your_api_key"

Example Response

{
  "currency": "BTC",
  "expiry": "2026-03-28",
  "strikes": [
    {
      "strike": 80000,
      "callOI": 1250,
      "putOI": 4800,
      "callVolume": 120,
      "putVolume": 380,
      "callIV": 58.2,
      "putIV": 62.1,
      "totalOI": 6050
    },
    {
      "strike": 85000,
      "callOI": 3400,
      "putOI": 5200,
      "callVolume": 450,
      "putVolume": 520,
      "callIV": 54.5,
      "putIV": 56.8,
      "totalOI": 8600
    },
    {
      "strike": 90000,
      "callOI": 8500,
      "putOI": 2100,
      "callVolume": 680,
      "putVolume": 180,
      "callIV": 51.3,
      "putIV": 53.4,
      "totalOI": 10600
    },
    {
      "strike": 100000,
      "callOI": 12400,
      "putOI": 850,
      "callVolume": 920,
      "putVolume": 45,
      "callIV": 48.7,
      "putIV": 50.2,
      "totalOI": 13250
    }
  ],
  "strikeCount": 4
}
High call OI at a strike indicates institutional bets on price reaching that level. High put OI indicates hedging or bearish bets. Strikes with the highest total OI act as price magnets near expiry. IV (implied volatility) is expressed as a percentage.